Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
pg_overlay chromium
View unanswered posts
View posts from last 24 hours

Goto page Previous  1, 2, 3  Next  
Reply to topic    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
roki942
Apprentice
Apprentice


Joined: 18 Apr 2005
Posts: 261
Location: Seattle

PostPosted: Wed Oct 05, 2016 4:13 am    Post subject: Reply with quote

For me it compiles with inox or iridium but ungoogled gets the same error that Pincess Nell reported Sep 26. (Same with either gtk or -gtk)
Back to top
View user's profile Send private message
Perfect Gentleman
l33t
l33t


Joined: 18 May 2014
Posts: 660

PostPosted: Wed Oct 05, 2016 4:54 pm    Post subject: Reply with quote

@roki942, did u unmask gtk3 for chromium?
Back to top
View user's profile Send private message
roki942
Apprentice
Apprentice


Joined: 18 Apr 2005
Posts: 261
Location: Seattle

PostPosted: Wed Oct 05, 2016 6:15 pm    Post subject: Reply with quote

Perfect Gentleman wrote:
@roki942, did u unmask gtk3 for chromium?

I'm a bit confused by your question. I tried building it with the gtk USE flag and -gtk but neither worked.
What do you mean by "gtk3 for chromium"?
Back to top
View user's profile Send private message
Perfect Gentleman
l33t
l33t


Joined: 18 May 2014
Posts: 660

PostPosted: Thu Oct 06, 2016 1:11 am    Post subject: Reply with quote

there is no use gtk for chromium
Back to top
View user's profile Send private message
roki942
Apprentice
Apprentice


Joined: 18 Apr 2005
Posts: 261
Location: Seattle

PostPosted: Thu Oct 06, 2016 5:44 am    Post subject: Reply with quote

@Perfect Gentleman sorry for the typo I meant gtk3.
This is what happening
Code:
Desktop me # USE="gtk3 ungoogled -iridium" emerge -pv chromium

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild   R   #] www-client/chromium-53.0.2785.144::pg_overlay  USE="(pic) proprietary-codecs tcmalloc ungoogled* -cups -custom-cflags -gn -gnome -gnome-keyring (-gtk3) -hangouts -inox -iridium* -kerberos (-neon) -pulseaudio (-selinux) -system-ffmpeg {-test} -vaapi -widevine" L10N="-am -ar -bg -bn -ca -cs -da -de -el -en-GB -es -es-419 -et -fa -fi -fil -fr -gu -he -hi -hr -hu -id -it -ja -kn -ko -lt -lv -ml -mr -ms -nb -nl -pl -pt-BR -pt-PT -ro -ru -sk -sl -sr -sv -sw -ta -te -th -tr -uk -vi -zh-CN -zh-TW" 0 KiB
I do not have gtk3 masked as I do not have a /etc/portage/profile dir or a /etc/portage/package.use.maked file.
This is only happening with chromium
Code:
Desktop me # USE="gtk3" emerge -pvuD --newuse world

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild  NS    ] x11-libs/gtksourceview-3.20.4:3.0/3::gentoo [2.10.5-r3:2.0::gentoo] USE="introspection -glade {-test} -vala" 1,546 KiB
[ebuild   R    ] net-dns/avahi-0.6.32::gentoo  USE="gdbm gtk3* introspection ipv6 nls -autoipd -bookmarks -dbus -doc -gtk -howl-compat -mdnsresponder-compat -mono -python -qt4 (-selinux) {-test} -utils" ABI_X86="(64) -32 (-x32)" PYTHON_TARGETS="python2_7" 0 KiB
[ebuild   R    ] media-gfx/geeqie-1.2.2-r2::gentoo  USE="exif gtk3* jpeg lcms tiff xmp -debug -doc -lirc -lua" 0 KiB
[ebuild   R    ] app-editors/mousepad-0.4.0::gentoo  USE="gtk3* -dbus -debug" 0 KiB
[ebuild   R   ~] www-client/palemoon-26.4.1::palemoon  USE="alsa gstreamer gtk2 gtk3* official-branding optimize -dbus -gstreamer1_0 -jemalloc -necko-wifi -oss -pulseaudio -shared-js -system-libs -valgrind" LINGUAS="-ar -cs -da -de -el -en_GB -es_AR -es_ES -es_MX -fi -fr -gl_ES -hr -hu -is -it -ja -kn -ko -nl -pl -pt_BR -pt_PT -ro -ru -sk -sl -sr -sv_SE -tr -vi -zh_CN -zh_TW" 0 KiB
Have any idea why this may be so?
Back to top
View user's profile Send private message
Juippisi
Apprentice
Apprentice


Joined: 30 Sep 2005
Posts: 174
Location: /home

PostPosted: Thu Oct 06, 2016 6:04 am    Post subject: Reply with quote

roki942 wrote:
I do not have gtk3 masked as I do not have a /etc/portage/profile dir or a /etc/portage/package.use.maked file.
This is only happening with chromium
Have any idea why this may be so?


Yea, its masked by Gentoo profile (for every user, not just your own settings)

https://bugs.chromium.org/p/chromium/issues/detail?id=132847

You need to unmask it personally.
Back to top
View user's profile Send private message
roki942
Apprentice
Apprentice


Joined: 18 Apr 2005
Posts: 261
Location: Seattle

PostPosted: Thu Oct 06, 2016 7:04 am    Post subject: Reply with quote

Found the wiki page about /etc/portage/profile/package.use.mask and finally understand what you guys were trying to tell me.
Now to have it emerge while I sleep :-)
Back to top
View user's profile Send private message
Perfect Gentleman
l33t
l33t


Joined: 18 May 2014
Posts: 660

PostPosted: Thu Oct 06, 2016 8:16 am    Post subject: Reply with quote

roki942 wrote:
Found the wiki page about /etc/portage/profile/package.use.mask and finally understand what you guys were trying to tell me.
Now to have it emerge while I sleep :-)

that have been told several times in this thread
Back to top
View user's profile Send private message
roki942
Apprentice
Apprentice


Joined: 18 Apr 2005
Posts: 261
Location: Seattle

PostPosted: Thu Oct 06, 2016 9:57 am    Post subject: Reply with quote

Perfect Gentleman wrote:
roki942 wrote:
Found the wiki page about /etc/portage/profile/package.use.mask and finally understand what you guys were trying to tell me.
Now to have it emerge while I sleep :-)

that have been told several times in this thread

Actually what's been said several times in the tread (and I just reread it all) has been "you got to unmask gtk3 in chromium" and "did you unmask gtk3".
@Juippisi's response to me is the only thing is the thread that gives any meaning to "unmask gtk3".

I've also gone back thru the whole section on Portage in the handbook and while it covers masked packages and keywords, the sections on USE flags talk about Global, Local and Required but there is nada about masked use flags, be they be masked by profile or otherwise.

I do thank you @Perfect Gentleman for sharing your overlay and @Juippisi for you kind response to my lack of experience.
Back to top
View user's profile Send private message
Perfect Gentleman
l33t
l33t


Joined: 18 May 2014
Posts: 660

PostPosted: Fri Oct 07, 2016 4:34 am    Post subject: Reply with quote

new use flag 'debian' is introduced for using debian patches, also there are new use flag conditions: debian and ungoogled can be used only wuth gtk3, debian and ungoogled can not used simultaneously.
Back to top
View user's profile Send private message
Princess Nell
l33t
l33t


Joined: 15 Apr 2005
Posts: 718

PostPosted: Fri Oct 07, 2016 8:34 pm    Post subject: Reply with quote

That totally busted it for me. I have no idea how to set it up now. gtk3/-gtk3 in package.use does nothing.
Code:

~ # emerge -upDN world

These are the packages that would be merged, in order:

Calculating dependencies /

!!! Problem resolving dependencies for www-client/chromium from @selected
... done!

!!! The ebuild selected to satisfy "www-client/chromium" has unmet requirements.
- www-client/chromium-53.0.2785.154::local_overlay USE="custom-cflags debian inox (pic) proprietary-codecs tcmalloc -cups -gn -gnome -gnome-keyring (-gtk3) -hangouts -iridium -kerberos (-neon) -pulseaudio (-selinux) -system-ffmpeg -test -ungoogled -vaapi -widevine" ABI_X86="64" L10N="am ar bg bn ca cs da de el en-GB es es-419 et fa fi fil fr gu he hi hr hu id it ja kn ko lt lv ml mr ms nb nl pl pt-BR pt-PT ro ru sk sl sr sv sw ta te th tr uk vi zh-CN zh-TW"

  The following REQUIRED_USE flag constraints are unsatisfied:
    debian? ( gtk3 )

  The above constraints are a subset of the following complete expression:
    gn? ( gnome gnome-keyring !tcmalloc ) debian? ( gtk3 ) ungoogled? ( gtk3 ) at-most-one-of ( inox iridium ungoogled ) exactly-one-of ( ungoogled debian )

(dependency required by "@selected" [set])
(dependency required by "@world" [argument])
rusty ~ # cat /etc/portage/package.use/chromium
#www-client/chromium -hangouts iridium
www-client/chromium custom-cflags -gnome-keyring gtk3 -hangouts inox
~ #       
Back to top
View user's profile Send private message
Perfect Gentleman
l33t
l33t


Joined: 18 May 2014
Posts: 660

PostPosted: Sat Oct 08, 2016 2:54 am    Post subject: Reply with quote

Code:
~ $ cat /etc/portage/profile/package.use.mask
www-client/chromium -gtk3
Back to top
View user's profile Send private message
roki942
Apprentice
Apprentice


Joined: 18 Apr 2005
Posts: 261
Location: Seattle

PostPosted: Sat Oct 08, 2016 6:25 am    Post subject: Reply with quote

Nell, he added the debian use flag as a defualt in the last ebuild .
Quote:
www-client/chromium-53.0.2785.154::local_overlay USE="custom-cflags debian inox

It won't compile with both.
Code:
at-most-one-of ( inox iridium ungoogled ) exactly-one-of ( ungoogled debian )
Back to top
View user's profile Send private message
Perfect Gentleman
l33t
l33t


Joined: 18 May 2014
Posts: 660

PostPosted: Sat Oct 08, 2016 6:48 am    Post subject: Reply with quote

@roki942, yep, debian and inox are default for now and on as only inox allows to update extensions, and debian patches are extra to inox patches as they are in confilct with ungoogled as ungoogled contains debian patches.
Back to top
View user's profile Send private message
Princess Nell
l33t
l33t


Joined: 15 Apr 2005
Posts: 718

PostPosted: Sat Oct 08, 2016 10:49 pm    Post subject: Reply with quote

It doesn't matter what I have in package.use.mask, the result is always the same.
Code:

# grep -v ^# /etc/portage/package.use/chromium
www-client/chromium custom-cflags -gnome-keyring -hangouts
# cat /etc/portage/package.use.mask
www-client/chromium -gtk3
# emerge -upDN world

These are the packages that would be merged, in order:

Calculating dependencies /

!!! Problem resolving dependencies for www-client/chromium from @selected
... done!

!!! The ebuild selected to satisfy "www-client/chromium" has unmet requirements.
- www-client/chromium-53.0.2785.154::local_overlay USE="custom-cflags debian inox (pic) proprietary-codecs tcmalloc -cups -gn -gnome -gnome-keyring (-gtk3) -hangouts -iridium -kerberos (-neon) -pulseaudio (-selinux) -system-ffmpeg -test -ungoogled -vaapi -widevine" ABI_X86="64" L10N="am ar bg bn ca cs da de el en-GB es es-419 et fa fi fil fr gu he hi hr hu id it ja kn ko lt lv ml mr ms nb nl pl pt-BR pt-PT ro ru sk sl sr sv sw ta te th tr uk vi zh-CN zh-TW"

  The following REQUIRED_USE flag constraints are unsatisfied:
    debian? ( gtk3 )

  The above constraints are a subset of the following complete expression:
    gn? ( gnome gnome-keyring !tcmalloc ) debian? ( gtk3 ) ungoogled? ( gtk3 ) at-most-one-of ( inox iridium ungoogled ) exactly-one-of ( ungoogled debian )

(dependency required by "@selected" [set])
(dependency required by "@world" [argument])
#
Back to top
View user's profile Send private message
Perfect Gentleman
l33t
l33t


Joined: 18 May 2014
Posts: 660

PostPosted: Sun Oct 09, 2016 1:59 am    Post subject: Reply with quote

you are doing it wrong. look more attentively
Back to top
View user's profile Send private message
Juippisi
Apprentice
Apprentice


Joined: 30 Sep 2005
Posts: 174
Location: /home

PostPosted: Sun Oct 09, 2016 6:23 am    Post subject: Reply with quote

Nell, pay attention to this post:

1st: You have put the file package.use.mask in the wrong directory. Your file is at /etc/portage/package.use.mask when the REAL directory is at /etc/portage/profile/package.use.mask
This has been pointed to you many times, and if you still dont realize it after this Im sorry youre own your own.

2nd: IF you want "gnome-keyring", you need to disable "tcmalloc" USE in your package.use, which right now is enabled.

Read this post, and emerge output carefully next time, and good luck.
Back to top
View user's profile Send private message
Princess Nell
l33t
l33t


Joined: 15 Apr 2005
Posts: 718

PostPosted: Mon Oct 10, 2016 9:13 pm    Post subject: Reply with quote

Patronizing tone aside, yes, that's absolutely right. I managed to misread the forum thread, the man page, and the wiki. Quite a feat.

Can this be not handled better in the ebuild, I wonder.

Juippisi, you also need to reread wrt the gnome-keyring USE flag.
Back to top
View user's profile Send private message
Perfect Gentleman
l33t
l33t


Joined: 18 May 2014
Posts: 660

PostPosted: Fri Oct 28, 2016 7:47 am    Post subject: Reply with quote

updated ebuild to 54.0.2840.79. available patches are iridium and vaapi, there are no inox, ungoogled and debiain patches for chromium-54.
Back to top
View user's profile Send private message
Juippisi
Apprentice
Apprentice


Joined: 30 Sep 2005
Posts: 174
Location: /home

PostPosted: Fri Nov 04, 2016 6:53 am    Post subject: Reply with quote

Maybe you should remove inox and ungoogled USE flags meanwhile, because chromium wont build with them?

Its quite imminent you have to upgrade to chromium-54 because of
https://forums.gentoo.org/viewtopic-t-1053784.html

One question about Iridium patches: Does it update your addons automatically?
Back to top
View user's profile Send private message
Perfect Gentleman
l33t
l33t


Joined: 18 May 2014
Posts: 660

PostPosted: Sun Dec 11, 2016 2:40 am    Post subject: Reply with quote

update to 55 with debian, inox and ungoogled patches
Back to top
View user's profile Send private message
Saundersx
Apprentice
Apprentice


Joined: 11 Apr 2005
Posts: 219

PostPosted: Mon Jan 02, 2017 11:03 pm    Post subject: Reply with quote

Perfect Gentleman wrote:
updated ebuild to 54.0.2840.79. available patches are iridium and vaapi, there are no inox, ungoogled and debiain patches for chromium-54.


I know I'm necrobumping a bit but I had to say thank you for this. I have avoided chromium since they began their bullshit of having to log in to install extensions. And the endless spying/tracking too of course.
Back to top
View user's profile Send private message
geki
Advocate
Advocate


Joined: 13 May 2004
Posts: 2251
Location: Germania

PostPosted: Tue Apr 11, 2017 6:58 pm    Post subject: Reply with quote

Just wondering, enabling the useflag widevine, your chromium-57.0.2987.146 wants to pull chrome-binary-plugins-58.0.3029.41_beta:beta.

Will newer widevine binaries from chromium-58 work with your chromium-57 version?!
Or better depend on widevine? ( =www-plugins/chrome-binary-plugins[widevine(-)]-${MY_MAJORV}* ) or so in your ebuilds to keep major version in sync?
_________________
boost|select libs to build|slotable|python-buildid

hear hear
Back to top
View user's profile Send private message
Perfect Gentleman
l33t
l33t


Joined: 18 May 2014
Posts: 660

PostPosted: Thu Apr 13, 2017 9:36 am    Post subject: Reply with quote

@geki, add to package.accept_keywords >
Code:
 www-plugins/chrome-binary-plugins -~amd64

i don't want to add some modifications to ebuild because next time i can forget to do that.
Back to top
View user's profile Send private message
geki
Advocate
Advocate


Joined: 13 May 2004
Posts: 2251
Location: Germania

PostPosted: Thu Apr 13, 2017 11:16 pm    Post subject: Reply with quote

Thank you for that pointer, I actually masked the beta and unstable slots instead.

And just in case someone wonders why amazon video or skyticket will not work, although you enabled useflag widevine, you better enable the useflag proprietary-codecs, too. :o
_________________
boost|select libs to build|slotable|python-buildid

hear hear
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Unsupported Software All times are GMT
Goto page Previous  1, 2, 3  Next
Page 2 of 3

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum